
public class Class365 {

   static Class365 aClass365_4600 = new Class365();
   static Class365 aClass365_4601 = new Class365();
   static Class365 aClass365_4602 = new Class365();
   static int anInt4603;
   public static Class338 aClass338_4604;


   public int method6493(int var1, int var2) {
      int var3 = Class440.anInt5458 * 1404657485 > var2?Class440.anInt5458 * 1404657485:var2;
      return this == aClass365_4602?0:(this == aClass365_4600?var3 - var1:(aClass365_4601 == this?(var3 - var1) / 2:0));
   }

   public int method6494(int var1, int var2, byte var3) {
      int var4 = Class440.anInt5458 * 1404657485 > var2?Class440.anInt5458 * 1404657485:var2;
      return this == aClass365_4602?0:(this == aClass365_4600?var4 - var1:(aClass365_4601 == this?(var4 - var1) / 2:0));
   }

   public static Class365[] method6495() {
      return new Class365[]{aClass365_4602, aClass365_4601, aClass365_4600};
   }

   public static Class365[] method6496() {
      return new Class365[]{aClass365_4602, aClass365_4601, aClass365_4600};
   }

   public int method6497(int var1, int var2) {
      int var3 = Class440.anInt5458 * 1404657485 > var2?Class440.anInt5458 * 1404657485:var2;
      return this == aClass365_4602?0:(this == aClass365_4600?var3 - var1:(aClass365_4601 == this?(var3 - var1) / 2:0));
   }

   public static Class363 method6498(int var0, byte var1) {
      Class363 var2 = (Class363)Class363.aClass564_4509.method11959((long)var0);
      if(null != var2) {
         return var2;
      } else {
         byte[] var3 = Class363.aClass253_4510.method4547(0, var0, (byte)68);
         var2 = new Class363();
         if(null != var3) {
            var2.method6450(new RS2Buffer(var3), var0, 1663724764);
         }

         Class363.aClass564_4509.method11958(var2, (long)var0);
         return var2;
      }
   }

   public static void method6499(int var0, byte var1) {
      if(-821727631 * Class104.anInt1025 != 0) {
         Class104.anInt1027 = -456259441 * var0;
      } else {
         Class104.aClass225_Sub12_Sub2_1026.method15661(var0, 20726992);
      }

   }

   static final void method6500(Class508 var0, int var1) {
      Class404.method6833((String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949], (byte)11);
   }

   public static boolean method6501(int var0, int var1) {
      return var0 >= Class458.aClass458_5708.anInt5719 * -1372814303 && var0 <= Class458.aClass458_5711.anInt5719 * -1372814303;
   }

   public static void method6502(int var0) {
      if(IcmpService_Sub1.anIcmpService_Sub1_8391 != null) {
         try {
            IcmpService_Sub1.anIcmpService_Sub1_8391.quit();
         } catch (Throwable var2) {
            ;
         }

         IcmpService_Sub1.anIcmpService_Sub1_8391 = null;
      }
   }
}
